This is a Laravel 5 package that provides giftlist management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `giftlist/giftlist`.

    "giftlist/giftlist": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Giftlist\Giftlist\Providers\GiftlistServiceProvider::class,

```

And also add it to alias

```php
'Giftlist'  => Giftlist\Giftlist\Facades\Giftlist::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Giftlist\Giftlist\Providers\GiftlistServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Giftlist\Giftlist\Providers\GiftlistServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Giftlist\Giftlist\Providers\GiftlistServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Giftlist\Giftlist\Providers\GiftlistServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Giftlist\Giftlist\Providers\GiftlistServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Giftlist\Giftlist\Providers\GiftlistServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


